Bug 1316081 - hammer medium list output column width too narrow by default
hammer medium list output column width too narrow by default
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.7
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1317008
  Show dependency treegraph
 
Reported: 2016-03-09 06:38 EST by Stuart Auchterlonie
Modified: 2017-07-18 15:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 19:34:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Auchterlonie 2016-03-09 06:38:44 EST
Description of problem:

The default output format of `hammer medium list` has the column
width for Name and Path columns set too narrow to be of use.

The output is truncated leading to an inability to see useful
information. The Path column is the worst affected as you
can no longer see the difference between several different
mediums

Version-Release number of selected component (if applicable):

Sat 6.1.7

How reproducible:

100%

Steps to Reproduce:
1. hammer medium list
2.
3.

Actual results:

---|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------
ID | NAME                                                                             | PATH                                                                            
---|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------
1  | CentOS mirror                                                                    | http://mirror.centos.org/centos/$major.$minor/os/$arch                          
2  | Debian mirror                                                                    | http://ftp.debian.org/debian/                                                   
3  | Fedora mirror                                                                    | http://dl.fedoraproject.org/pub/fedora/linux/releases/$major/Fedora/$arch/os/   
4  | FreeBSD mirror                                                                   | http://ftp.freebsd.org/pub/FreeBSD/releases/$arch/$major.$minor-RELEASE/        
5  | OpenSUSE mirror                                                                  | http://download.opensuse.org/distribution/$major.$minor/repo/oss                
7  | org-stuarta/Library/Red_Hat_Server/Red_Hat_Enterprise_Linux_5_Server_Kickstar... | http://stuarta-sat6.usersys.redhat.com/pulp/repos/org-stuarta/Library/content...
8  | org-stuarta/Library/Red_Hat_Server/Red_Hat_Enterprise_Linux_6_Server_Kickstar... | http://stuarta-sat6.usersys.redhat.com/pulp/repos/org-stuarta/Library/content...
9  | org-stuarta/Library/Red_Hat_Server/Red_Hat_Enterprise_Linux_7_Server_Kickstar... | http://stuarta-sat6.usersys.redhat.com/pulp/repos/org-stuarta/Library/content...
6  | Ubuntu mirror                                                                    | http://archive.ubuntu.com/ubuntu/                                               
---|----------------------------------------------------------------------------------|---------------------------------------------------------------------------------


Expected results:

The default size of the columns should be set so that you can read
all the identifying information.

A suggestion is to identify the max length of the strings being output
and setting the column width to that

Additional info:
Comment 3 Bryan Kearney 2016-07-08 16:48:59 EDT
Per 6.3 planning, moving out non acked bugs to the backlog

Note You need to log in before you can comment on or make changes to this bug.